clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
161
161.1625
161.325
161.4875
161.65
161.8125
161.975
162.1375
162.3
162.4625
162.625
162.7875
162.95
163.1125
163.275
163.4375
163.6  
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000816228	0.000810901	0.000805388	0.000799688	0.000793801	0.000787724	0.000781454	0.000774991	0.00076833	0.000761466	0.000754393	0.000747101	0.000739577	0.000731798	0.000723729	0.000715312	0.000706434;
0.000815405	0.000810083	0.000804576	0.000798882	0.000793	0.000786929	0.000780666	0.00077421	0.000767555	0.000760699	0.000753632	0.000746348	0.000738831	0.00073106	0.000722999	0.00071459	0.000705721;
0.000814584	0.000809268	0.000803766	0.000798077	0.000792202	0.000786137	0.00077988	0.00077343	0.000766782	0.000759932	0.000752874	0.000745597	0.000738087	0.000730323	0.000722271	0.000713871	0.000705011;
0.000813764	0.000808453	0.000802957	0.000797274	0.000791404	0.000785345	0.000779095	0.000772652	0.00076601	0.000759168	0.000752116	0.000744846	0.000737344	0.000729589	0.000721544	0.000713152	0.000704302;
0.000812946	0.00080764	0.00080215	0.000796472	0.000790609	0.000784556	0.000778312	0.000771875	0.00076524	0.000758405	0.00075136	0.000744097	0.000736603	0.000728855	0.000720819	0.000712435	0.000703593;
0.00081213	0.000806829	0.000801344	0.000795673	0.000789815	0.000783768	0.00077753	0.0007711	0.000764472	0.000757643	0.000750606	0.00074335	0.000735863	0.000728123	0.000720095	0.00071172	0.000702887;
0.000811315	0.00080602	0.00080054	0.000794875	0.000789022	0.000782981	0.00077675	0.000770326	0.000763705	0.000756882	0.000749852	0.000742604	0.000735126	0.000727393	0.000719373	0.000711006	0.000702182;
0.000810502	0.000805212	0.000799738	0.000794078	0.000788232	0.000782197	0.000775972	0.000769554	0.000762939	0.000756124	0.000749101	0.00074186	0.000734388	0.000726664	0.000718652	0.000710293	0.000701478;
0.000809691	0.000804406	0.000798937	0.000793283	0.000787442	0.000781414	0.000775195	0.000768783	0.000762176	0.000755366	0.00074835	0.000741118	0.000733654	0.000725936	0.000717932	0.000709582	0.000700775;
0.00080888	0.000803601	0.000798138	0.000792489	0.000786655	0.000780632	0.000774419	0.000768015	0.000761414	0.000754612	0.000747602	0.000740376	0.000732919	0.00072521	0.000717214	0.000708872	0.000700075;
0.000808072	0.000802798	0.00079734	0.000791698	0.000785868	0.000779852	0.000773646	0.000767247	0.000760653	0.000753857	0.000746856	0.000739637	0.000732187	0.000724485	0.000716498	0.000708164	0.000699375;
0.000807265	0.000801997	0.000796544	0.000790908	0.000785085	0.000779074	0.000772874	0.000766481	0.000759893	0.000753105	0.000746109	0.000738898	0.000731456	0.000723762	0.000715783	0.000707457	0.000698677;
0.00080646	0.000801197	0.00079575	0.000790118	0.000784301	0.000778297	0.000772103	0.000765717	0.000759135	0.000752354	0.000745365	0.000738161	0.000730726	0.000723041	0.000715069	0.000706752	0.00069798;
0.000805657	0.000800399	0.000794958	0.000789332	0.00078352	0.000777521	0.000771334	0.000764954	0.000758379	0.000751604	0.000744623	0.000737426	0.000729998	0.00072232	0.000714356	0.000706047	0.000697284;
0.000804855	0.000799602	0.000794166	0.000788545	0.00078274	0.000776748	0.000770566	0.000764193	0.000757624	0.000750857	0.000743882	0.000736691	0.000729272	0.000721601	0.000713645	0.000705345	0.00069659;
0.000804055	0.000798807	0.000793377	0.000787761	0.000781962	0.000775976	0.0007698	0.000763433	0.000756871	0.00075011	0.000743143	0.000735959	0.000728547	0.000720884	0.000712935	0.000704643	0.000695898;
0.000803256	0.000798014	0.000792588	0.000786979	0.000781185	0.000775204	0.000769035	0.000762674	0.000756119	0.000749365	0.000742404	0.000735228	0.000727823	0.000720168	0.000712227	0.000703943	0.000695207];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.6350 0.0780 0.1840]',...
    'MarkerFaceColor','[0.6350 0.0780 0.1840]')

zlim([0.000685 0.00082])
ylim([161.0E9 163.6E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([161.0E9 161.5E9 162.0E9 162.5E9 163.0E9 163.6E9])
zticks([0.00069 0.00072 0.00074 0.00076 0.00078 0.00080 0.00082])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - 20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_20AlDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_20AlDoped_strainenergy_LLZO_48e.png